gSOAP UDDI v2: uddi2__find_USCORErelatedBusinesses Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__find_USCORErelatedBusinesses Class Reference

Schema urn:uddi-org:api_v2:"find_relatedBusinesses". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__find_USCORErelatedBusinesses:

[legend]
List of all members.

## Public Member Functions
| uddi2__find_USCORErelatedBusinesses (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCORErelatedBusinesses (struct soap *, const char *businessKey)
| Member declared in uddi2-typemap.dat.
uddi2__relatedBusinessesList * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.
## Public Attributes
uddi2__findQualifiers * | findQualifiers
| Element reference "urn:uddi-org:api_v2":findQualifiers.
uddi2__businessKey | businessKey
| Element reference "urn:uddi-org:api_v2":businessKey.
uddi2__keyedReference * | keyedReference
| Element reference "urn:uddi-org:api_v2":keyedReference.
char * | generic
| Attribute generic of type xs:string.
int * | maxRows
| Attribute maxRows of type xs:int.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"find_relatedBusinesses".

Represents a request to locate businesses that are related to a specific business. When the send method is called, the instance returns a uddi2__relatedBusinessList object that contains a list of business that matched the relationship set.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137714

## Constructor & Destructor Documentation

uddi2__find_USCORErelatedBusinesses::uddi2__find_USCORErelatedBusinesses | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the find_USCORErelatedBusiness class.

uddi2__find_USCORErelatedBusinesses::uddi2__find_USCORErelatedBusinesses | ( | struct soap * | soap,
|  | const char * | businessKey
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | businessKey | string
Creates an instance of the find_USCORErelatedBusiness class using the specified business key.

## Member Function Documentation

uddi2__relatedBusinessesList * uddi2__find_USCORErelatedBusinesses::send | ( | const char * | endpoint | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
Returns: A pointer to a uddi2__relatedBusinessList object or NULL on error Send a request to a UDDI server to find a list of related businesses.

## Member Data Documentation

uddi2__businessKey uddi2__find_USCORErelatedBusinesses::businessKey

| Element reference "urn:uddi-org:api_v2":businessKey. Required element

uddi2__findQualifiers* uddi2__find_USCORErelatedBusinesses::findQualifiers

| Element reference "urn:uddi-org:api_v2":findQualifiers. Optional element

char* uddi2__find_USCORErelatedBusinesses::generic

| Attribute generic of type xs:string. Required attribute

uddi2__keyedReference* uddi2__find_USCORErelatedBusinesses::keyedReference

| Element reference "urn:uddi-org:api_v2":keyedReference. Optional element

int* uddi2__find_USCORErelatedBusinesses::maxRows

| Attribute maxRows of type xs:int. Optional attribute

struct soap* uddi2__find_USCORErelatedBusinesses::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h